Description: At this moment there is a controller_timelog_edit_before_save hook but 

I would like to have a similar hook but for AFTER case. It would be something like: 
controller_timelog_edit_after_save.

Associated revisions
2008-06-14 05:44 pm - Jean-Philippe Lang 
File size display with Bazaar repositories (#1149).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1537 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-09-20 05:59 pm - Nicolas Paez
I have implemented it in my environment.
I just added two lines of code (it fact is just one line in to places)

* Line to add: _call_hook(:controller_timelog_edit_after_save, { :params => params, :time_entry => @time_entry })_
* File to add it: timelog_controller.rb
* Place to add it: right below _if @time_entry.save_

2012-09-20 06:02 pm - Nicolas Paez
- Status changed from Open to Ready for review

2012-09-20 06:20 pm - Holger Just
Why don't you simply use the @after_save@ hook of the @TimeEntry@ model which is provided by Active Record?

Generally, I'd like to deprecate/remove all hooks, but foremost the controller hooks. They are just not the right kind of technology for the task and a PITA 
to maintain.

2012-09-20 06:29 pm - Nicolas Paez
Two reason lead me to this approach:

# The hooks are mentioned in the documentation as an standard extension mechanism
# The hook provides me more information

I think that if you plan to remove hooks support, you should mention it in the documentation.
